Last Comment Bug 669049 - .response with .responseType='blob' doesn't work correctly for large remote file
: .response with .responseType='blob' doesn't work correctly for large remote file
Status: VERIFIED FIXED
[qa!]
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla9
Assigned To: Kyle Huey [:khuey] (khuey@mozilla.com)
:
Mentors:
https://bug661582.bugzilla.mozilla.or...
Depends on:
Blocks: 661582
  Show dependency treegraph
 
Reported: 2011-07-03 00:55 PDT by Masatoshi Kimura [:emk]
Modified: 2011-10-05 05:19 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
fixed
fixed
fixed


Attachments
Forgo the cache optimization for correctness. (1.19 KB, patch)
2011-07-11 16:15 PDT, Kyle Huey [:khuey] (khuey@mozilla.com)
jonas: review+
bugzilla: approval‑mozilla‑aurora+
asa: approval‑mozilla‑beta+
Details | Diff | Splinter Review
automated test (4.32 KB, patch)
2011-09-22 15:22 PDT, Masatoshi Kimura [:emk]
no flags Details | Diff | Splinter Review
rebased to tip (4.35 KB, patch)
2011-09-24 16:55 PDT, Masatoshi Kimura [:emk]
jonas: review+
Details | Diff | Splinter Review

Description Masatoshi Kimura [:emk] 2011-07-03 00:55:17 PDT
See bug 661582 comment #19.
Comment 1 Masatoshi Kimura [:emk] 2011-07-03 01:00:13 PDT
Unfortunately my build environment is broken at the moment. I'm not sure I can write a patch for this bug...
Comment 2 Masatoshi Kimura [:emk] 2011-07-03 01:01:38 PDT
> I'm not sure I can write a patch for this bug...
until next aurora merge.
Comment 3 Masatoshi Kimura [:emk] 2011-07-04 22:12:10 PDT
I think we should disable .responseType='blob' support on Firefox 6 unless this bug is fixed.
Comment 4 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-07-11 16:15:25 PDT
Created attachment 545283 [details] [diff] [review]
Forgo the cache optimization for correctness.
Comment 5 Jonas Sicking (:sicking) PTO Until July 5th 2011-07-11 16:19:06 PDT
Comment on attachment 545283 [details] [diff] [review]
Forgo the cache optimization for correctness.

Review of attachment 545283 [details] [diff] [review]:
-----------------------------------------------------------------
Comment 6 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-07-18 09:38:31 PDT
Comment on attachment 545283 [details] [diff] [review]
Forgo the cache optimization for correctness.

Drivers, this patch removes an optimization that still has some problems.  We should take this patch for Firefox 6 and 7, and fix this bug correctly for Firefox 8.
Comment 7 christian 2011-07-20 13:27:32 PDT
Kyle, can you land this today?
Comment 8 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-07-20 17:31:08 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/9e82442fe643
http://hg.mozilla.org/releases/mozilla-beta/rev/8d3fafa80d4b

Leaving the bug open because I still need to fix this on 8.
Comment 9 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-08-23 14:19:01 PDT
Comment on attachment 545283 [details] [diff] [review]
Forgo the cache optimization for correctness.

I forgot to fix this on trunk before the merge, so we'll need to check the bandaid into aurora again :-/
Comment 10 Johnathan Nightingale [:johnath] 2011-08-23 14:34:17 PDT
Comment on attachment 545283 [details] [diff] [review]
Forgo the cache optimization for correctness.

Approved on the assumption that this is the same bandaid we have shipped in 6 and 7, and with the fervent hope that we get the for real fix in soon!
Comment 11 Jonas Sicking (:sicking) PTO Until July 5th 2011-08-23 16:55:16 PDT
Didn't my real fix land on trunk in time to fix this too?
Comment 12 Masatoshi Kimura [:emk] 2011-08-23 20:09:26 PDT
Yeah, attachment 543659 [details] works on Aurora 8.0a2. The root cause has been fixed by bug 669433. So we don't have to apply the bandaid anymore.
But we should add attachment 543659 [details] as an automated test to prevent further regressions.
Comment 13 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-08-24 04:47:16 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/2bdd9c852f54
Comment 14 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-08-24 04:47:40 PDT
(In reply to Jonas Sicking (:sicking) from comment #11)
> Didn't my real fix land on trunk in time to fix this too?

Oh, I thought there was more to do here :-/
Comment 15 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-08-24 04:52:47 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/7d122e5b3455

I backed this out of Aurora.
Comment 16 Masatoshi Kimura [:emk] 2011-09-22 15:22:09 PDT
Created attachment 561902 [details] [diff] [review]
automated test
Comment 17 Masatoshi Kimura [:emk] 2011-09-24 16:55:11 PDT
Created attachment 562268 [details] [diff] [review]
rebased to tip
Comment 18 Jonas Sicking (:sicking) PTO Until July 5th 2011-09-26 14:30:58 PDT
Comment on attachment 562268 [details] [diff] [review]
rebased to tip

Review of attachment 562268 [details] [diff] [review]:
-----------------------------------------------------------------

I think the new tests in test_xhr_progressevents somewhat covers this case. Though it explicitly disables caching, so maybe it's best to take this one too.
Comment 20 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-09-27 05:38:42 PDT
https://hg.mozilla.org/mozilla-central/rev/fb91c8798858

Note You need to log in before you can comment on or make changes to this bug.